Package ru.bgcrm.plugin.bgbilling.proto.dao

# Class CerberCryptDAO

java.lang.Object
ru.bgcrm.plugin.bgbilling.dao.BillingDAO
ru.bgcrm.plugin.bgbilling.proto.dao.BillingModuleDAO
ru.bgcrm.plugin.bgbilling.proto.dao.CerberCryptDAO

public class CerberCryptDAO extends BillingModuleDAO

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.proto.dao.BillingModuleDAO

  `moduleId`

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `dbInfo, jsonMapper, jsonTypeFactory, transferData, user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CerberCryptDAO(User user, String billingId, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<IdTitle>`
  `dealerList(Date dateFrom, Date dateTo, String title)`
  `List<CardPacket>`
  `getCardPackets(int contractId, int cardId)`
  `List<CardPacket>`
  `getCardPackets(int contractId, int cardId, Date date)`
  Выбирает пакеты по указанной карте на указанную дату;
  `List<Long>`
  `getFreeCards()`
  `List<IdTitle>`
  `getPacketList(boolean virtualCinema)`
  `List<UserCard>`
  `getUserCardList(int contractId, boolean includeSlaveCards)`
  `void`
  `updateCardPacket(int contractId, int id, int cardNumebr, int packetId, String dateFrom, String dateTo)`
  `void`
  `updateUserCard(UserCard userCard)`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.proto.dao.BillingModuleDAO

  `getModuleId, setModuleId`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `doRequest, getDbInfo, getPage, getParameterId, getVersion, linesToString, readJsonValue, setPage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CerberCryptDAO

    public CerberCryptDAO(User user, String billingId, int moduleId)

- ## Method Details

  - ### getFreeCards

    public List<Long> getFreeCards()

  - ### getUserCardList

    public List<UserCard> getUserCardList(int contractId, boolean includeSlaveCards)

  - ### getCardPackets

    public List<CardPacket> getCardPackets(int contractId, int cardId, Date date)
    Выбирает пакеты по указанной карте на указанную дату;
    Parameters:
      `contractId` -
      `cardId` -
      `date` - -- дата на которую необходимо вывести пакеты, не должна быть null;
    Returns:

  - ### getCardPackets

    public List<CardPacket> getCardPackets(int contractId, int cardId)

  - ### updateCardPacket

    public void updateCardPacket(int contractId, int id, int cardNumebr, int packetId, String dateFrom, String dateTo) throws BGMessageException
    Throws:
      `BGMessageException`

  - ### getPacketList

    public List<IdTitle> getPacketList(boolean virtualCinema)

  - ### updateUserCard

    public void updateUserCard(UserCard userCard)

  - ### dealerList

    public List<IdTitle> dealerList(Date dateFrom, Date dateTo, String title)